=== debian/changelog ===
nx-libs (2:3.5.99.17-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 12 Jan 2019 20:18:03 +0100

nx-libs (2:3.5.99.17-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001-Makefile-Don-t-do-a-parallel-clean-up-of-nx-X11.-We-.patch,
           0002-Makefile-targets-Rewriting-and-consolidating-the-tar.patch,
           0006-Makefile-Enforce-j1-for-BuildDependsOnly-target.patch,
           0007_MIN-vs-min.patch. All shipped upstream.
  * debian/control:
    + Bump Standards-Version: to 4.2.1. No changes needed.
    + Add to B-D: libxkbfile-dev. Required by xkbcomp.pc (pkg-config).
    + Add to B-D: x11-xkb-utils. Support automatic xkb dir detections.
  * debian/nxagent.*:
    + Drop conffile /etc/nxagent/nxagent.keyboard. Not shipped upstream
      anymore (+ dpkg-maintscript-helper conffile removals in post/pre scripts).
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/copyright:
    + Update autogenerated copyright.in file.
    + Update copyright attributions.
  * debian/libnx-x11-6.symbols:
    + Add *Build-Depends-Package: meta info field.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 22 Nov 2018 11:47:40 +0100

nx-libs (2:3.5.99.16-4) unstable; urgency=medium

  * debian/patches:
    + Add 0007_MIN-vs-min.patch. Should fix FTBFS on hurd and kFreeBSD.
  * debian/control:
    + Bump Standards-Version: to 4.2.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Aug 2018 18:54:04 +0200

nx-libs (2:3.5.99.16-3) unstable; urgency=medium

  * debian/patches:
    + Rebase 2001_nx-X11_install-location.debian.patch.
    + Cherry-pick from upstream:
      0002-Makefile-targets-Rewriting-and-consolidating-the-tar.patch.
    + Cherry-pick 0006-Makefile-Enforce-j1-for-BuildDependsOnly-target.patch
      from upstream.
  * debian/rules:
    + Makefile (et al.) removal in nx-X11/ has now been moved to the distclean
      target. Drop that part from override_dh_clean.
    + Remove date.def during override_dh_clean.
    + Run dh_auto_clean with --no-parallel.
    + Avoid parallel build until Xserver build flow has been ported to
      autotools. (Closes: #895540).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Apr 2018 21:06:49 +0200

nx-libs (2:3.5.99.16-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001-Makefile-Don-t-do-a-parallel-clean-up-of-nx-X11.-We-.patch.
      Avoid FTBFS during parallel clean target in nx-X11/ subfolder. (Closes: #895540).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 20 Apr 2018 11:13:59 +0200
