## nx-libs 3.5.99.18

=== debian/changelog ===
nx-libs (2:3.5.99.18-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Minor white-space fix.
  * debian/control:
    + Trailing comma in last package of B-D: field.
    + Bump Standards-Version: to 4.3.0. No changes needed.
  * debian/{control,compat}:
    + Drop compat file. Switch over to debhelper-compat notation in control file.
    + Bump DH compat level to version 12.
  * debian/nxagent.install:
    + Sync in changes from upstream's nxagent.install file.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 31 Jan 2019 14:38:23 +0100
