=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  autoconf,
  automake,
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dpkg-dev (>= 1.16.1.1),
  expat,
  libjpeg-dev,
@@ -35,8 +35,8 @@
  x11-xkb-utils,
  x11proto-core-dev,
  xutils-dev,
- zlib1g-dev
-Standards-Version: 4.2.1
+ zlib1g-dev,
+Standards-Version: 4.3.0
 Homepage: https://github.com/ArcticaProject/nx-libs/
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/nx-libs
 Vcs-Git: https://salsa.debian.org/debian-remote-team/nx-libs.git
