=== debian/changelog ===
nx-libs (2:3.5.99.19-3+deb10u2) buster; urgency=medium

  * debian/patches:
    + Fix 0033_Screen.c-fix-two-memleaks.patch. Was not fully cherry-picked.
      Fixes double free issue. (Closes: #940103).
    + Add 0051-Screen.c-initialize-RandR-only-on-startup.patch. Regression
      fix introduced with +deb10u1 upload (by patch 0014).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 16 Sep 2019 16:30:50 +0200

nx-libs (2:3.5.99.19-3+deb10u1) buster; urgency=medium

  * Patch backport of upstream's memleak-hunt...
  * debian/patches:
      + Add 0012_xkb-initialize-tsyms.patch
      + Add 0013_Screen.c-correctly-free-stuff-in-nxagentCloseScreen.patch
      + Add 0014_Screen.c-Fix-make-sure-RRCloseScreen-is-being-called.patch
      + Add 0015_Keyboard.c-nullify-freed-pointers.patch
      + Add 0017_Fix-memleaks-Free-devPrivates-of-devices-on-shutdown.patch
      + Add 0018_Screen.c-fix-another-memory-leak.patch
      + Add 0019_mi-miinitext.c-fix-memleaks-remove-double-glx-initia.patch
      + Add 0023_glxext.c-fix-another-memory-leak.patch
      + Add 0026_glyph.c-fix-a-read-beyond-end-of-heap-buffer.patch
      + Add 0027_Keyboard.c-fix-three-memory-leaks.patch
      + Add 0028_Quarks.c-add-missing.patch
      + Add 0029_dix-dispatch-fix-a-small-memory-leak.patch
      + Add 0030_fb-fix-memory-leak-in-fbOverlayFinishScreenInit.patch
      + Add 0031_render-Propagate-allocation-failure-from-createSourc.patch
      + Add 0032_NXrender-fix-another-memleak.patch
      + Add 0033_Screen.c-fix-two-memleaks.patch
      + Add 0034_Screen.c-fix-two-more-memleaks-of-visuals.patch
      + Add 0036_os-access.c-add-missing.patch
      + Add 0038_NXdixfonts.c-fix-index-out-of-bounds.patch
      + Add 0041_compext-Png.c-Nullify-after-free.patch
      + Add 0042_mi-miexpose.c-add-missing-free.patch
      + Add 0049_xkb-fix-what-looks-to-be-a-copy-paste-error-with-fir.patch
      + Add 0050_Keyboard.c-fix-another-cppcheck-finding.patch

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 22 Jun 2019 11:49:12 +0200

nx-libs (2:3.5.99.19-3) unstable; urgency=medium

  * debian/patches (cherry-picked from upstream):
    + Add 0003_xkbUtils.c-Catch-division-by-zero.patch.
      Catch occasional division-by-zero error. (Closes: #929498).
    + Add 0004_libNX_X11-add-additional-checks-for-dpy-and-xkb.patch.
      Don't reference dpy nor xkb if undefined. (Closes: #929499).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 May 2019 22:27:02 +0200

nx-libs (2:3.5.99.19-2) unstable; urgency=medium

  * debian/patches (cherry-picked from upstream):
    + Add 0001_nxagent-Determine-nxagentProgName-only-once.patch. Keep flavour
      mode (i.e., running as nxagent or x2goagent) after session resumptions.
      (Closes: #928760).
    + Add 0002_nxdialog-bin-nxdialog-Fix-error-dialog-type-not-supp.patch.
      Cosmetic fix in nxdialog's error output.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 12 May 2019 11:08:25 +0200

nx-libs (2:3.5.99.19-1) unstable; urgency=medium

  * New upstream release.
    - Rootless session now ignore -geometry option. (Closes: #922220).
    - View port movement key strokes updated/fixed in default keystrokes.cfg.
      (Closes: #922392).
  * debian/copyright:
    + Update copyright attributions.
  * debian/libnx-x11-6.symbols:
    + Update symbols.
  * debian/patches:
    + Add 2003_nxdialog-use-python3.patch. Enforce Python3 for nxdialog.
    + Add 2004_enforce-lpthread.patch. On Debian, enforce -lpthread when
      building nxcomp. This is a nasty work around for a missing symbols
      issue that needs to get addressed otherwise in a later upstream
      release. (Closes: #922293).
  * debian/{control,nxagent.install}:
    + Add nxdialog (and dependencies) to bin:pkg nxagent.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 01 Mar 2019 23:24:49 +0100
