=== debian/control ===
--- 
+++ 
@@ -280,6 +280,9 @@
  libnx-x11-6 (= ${binary:Version}),
  libxcomp3 (= ${binary:Version}),
  libxcompshad3 (= ${binary:Version}),
+ python3,
+ python3-gi,
+ gir1.2-gtk-3.0,
  x11-xkb-utils,
  ${misc:Depends},
  ${shlibs:Depends}
