## nx-libs 3.5.99.21

=== debian/changelog ===
nx-libs (2:3.5.99.21-3build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:04:33 +0000

nx-libs (2:3.5.99.21-3) unstable; urgency=medium

  * Source-only re-upload as is..

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 Aug 2019 09:01:52 +0200

nx-libs (2:3.5.99.21-2) unstable; urgency=medium

  * debian/control:
    + Split-out nxdialog bin:pkg (until now shipped in nxagent bin:pkg).
  * debian/{nxagent,nxdialog}.install:
    + Move nxdialog files from nxagent.install to nxdialog.install.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Aug 2019 23:33:49 +0200

nx-libs (2:3.5.99.21-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop several patches, all applied upstream:
      2004_enforce-lpthread.patch
      0001_nxagent-Determine-nxagentProgName-only-once.patch
      0002_nxdialog-bin-nxdialog-Fix-error-dialog-type-not-supp.patch
      0003_xkbUtils.c-Catch-division-by-zero.patch
      0004_libNX_X11-add-additional-checks-for-dpy-and-xkb.patch
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in template file.
  * debian/nx-x11proto-xext-dev.install:
    + Drop nx-X11/extensions/xtestext1.h. Dropped upstream.
  * debian/nxagent.<maintscript>:
    + Convert to nxagent.maintscript, drop all other nxagent.<scripts>.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Aug 2019 19:52:59 +0200
