## nx-libs 3.5.99.22

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,9 @@
 # check if the xkbcomp devel pkg is available - we need it for the next step
 ifneq ($(shell pkg-config --exists xkbcomp && echo yes), yes)
     $(warning xkbcomp devel package missing, using imake default values)
+endif
+ifneq ($(shell pkg-config --exists fontutil && echo yes), yes)
+    $(warning fontutil devel package missing, using imake default values)
 endif
 
 IMAKE_DEFINES	?=
@@ -67,6 +70,7 @@
 	test -f nx-X11/lib/Makefile && ${MAKE} -C nx-X11/lib clean     || true
 	test -f nxcompshad/Makefile && ${MAKE} -C nxcompshad clean     || true
 	test -d nx-X11              && ${MAKE} clean-env               || true
+	test -f nxdialog/Makefile   && ${MAKE} -C nxdialog clean       || true
 
 distclean: clean version imakeconfig
 	test -f nxcomp/Makefile     && ${MAKE} -C nxcomp distclean     || true
@@ -74,6 +78,7 @@
 	test -f nx-X11/lib/Makefile && ${MAKE} -C nx-X11/lib distclean || true
 	test -f nxcompshad/Makefile && ${MAKE} -C nxcompshad distclean || true
 	test -d nx-X11              && ${MAKE} -C nx-X11 distclean     || true
+	test -f nxdialog/Makefile   && ${MAKE} -C nxdialog distclean   || true
 	test -x ./mesa-quilt        && ./mesa-quilt pop -a
 	$(RM_DIR_REC) nx-X11/extras/Mesa/.pc/
 	$(RM_FILE) nx-X11/config/cf/nxversion.def
@@ -110,6 +115,8 @@
 	(pkg-config --exists xkbcomp && echo "#define SystemXkbConfigDir `pkg-config xkbcomp --variable=xkbconfigdir`"; :) >>nx-X11/config/cf/nxconfig.def
 	(pkg-config --exists xkbcomp && echo "#define SystemXkbBinDir `pkg-config xkbcomp --variable=prefix`/bin"; :) >>nx-X11/config/cf/nxconfig.def
 
+	(pkg-config --exists fontutil && echo "#define SystemFontRootDir `pkg-config fontutil --variable=fontrootdir`"; :) >>nx-X11/config/cf/nxconfig.def
+
 	# let's create the nx-X11 Makefiles now, once everything has been defined
 	$(MAKE) -j1 -C nx-X11 Makefiles IMAKE_DEFINES="$(IMAKE_DEFINES)"
