=== debian/changelog ===
nx-libs (2:3.5.99.22-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 16 Sep 2019 17:58:46 +0200

nx-libs (2:3.5.99.22-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 27 Aug 2019 21:15:28 +0200
