=== debian/control ===
--- 
+++ 
@@ -280,9 +280,6 @@
  libnx-x11-6 (= ${binary:Version}),
  libxcomp3 (= ${binary:Version}),
  libxcompshad3 (= ${binary:Version}),
- python3,
- python3-gi,
- gir1.2-gtk-3.0,
  x11-xkb-utils,
  ${misc:Depends},
  ${shlibs:Depends}
@@ -308,6 +305,28 @@
  requests locally, ensuring that the most common source of round-trips are
  nearly reduced to zero.
 
+Package: nxdialog
+Architecture: all
+Depends:
+ python3,
+ python3-gi,
+ gir1.2-gtk-3.0,
+ x11-xkb-utils,
+ ${misc:Depends},
+Recommends:
+ nxagent,
+Breaks:
+ nxagent (<< 2:3.5.99.21-2~),
+Replaces:
+ nxagent (<< 2:3.5.99.21-2~),
+Description: Dialogs for NX Agent
+ NX is a software suite which implements very efficient
+ compression of the X11 protocol. This increases performance when
+ using X applications over a network, especially a slow one.
+ .
+ nxdialog adds dialog windows/menus to nxagent. They get triggered by
+ certain actions within the NX Agent Xserver.
+
 Package: nxproxy
 Architecture: any
 Multi-Arch: foreign
@@ -347,19 +366,3 @@
  compression of the X11 protocol. This increases performance when
  using X applications over a network, especially a slow one.
  .
- This package provides the compression library.
- .
- This package contains the development headers for this library.
-
-Package: libxcompshad3
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: libnx-x11-6 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Breaks: nxcompshad (<=3.5.1)
-Replaces: nxcompshad
-Description: NX shadowing library
- NX is a software suite which implements very efficient
- compression of the X11 protocol. This increases performance when
- using X applications over a network, especially a slow one.
- .
