## nx-libs 3.5.99.23

=== debian/changelog ===
nx-libs (2:3.5.99.23-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:21:04 +0100

nx-libs (2:3.5.99.23-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
  * debian/nxagent.install:
    + Drop nxagent.xpm from pixmaps/ folder. Not shipped upstream anymore.
  * debian/rules:
    + Some extra quotes. Reduce delta between upstream DEB packaging and
      official Debian package.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 30 Jan 2020 12:01:07 +0100
