=== debian/control ===
--- 
+++ 
@@ -36,7 +36,8 @@
  x11proto-core-dev,
  xutils-dev,
  zlib1g-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/ArcticaProject/nx-libs/
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/nx-libs
 Vcs-Git: https://salsa.debian.org/debian-remote-team/nx-libs.git
@@ -365,4 +366,3 @@
  NX is a software suite which implements very efficient
  compression of the X11 protocol. This increases performance when
  using X applications over a network, especially a slow one.
- .
