=== debian/rules ===
--- 
+++ 
@@ -54,11 +54,11 @@
 	dh_missing --fail-missing
 
 override_dh_auto_install:
-	PREFIX=/usr dh_auto_install --no-parallel -Smakefile
+	PREFIX='/usr' dh_auto_install --no-parallel -Smakefile
 
 override_dh_auto_build:
 
-	PREFIX=/usr dh_auto_build --no-parallel -- CDEBUGFLAGS="$(CPPFLAGS) $(CFLAGS)" LOCAL_LDFLAGS="$(LDFLAGS)" SHLIBGLOBALSFLAGS='$(filter-out -pie,$(LDFLAGS))'
+	PREFIX='/usr' dh_auto_build --no-parallel -- CDEBUGFLAGS="$(CPPFLAGS) $(CFLAGS)" LOCAL_LDFLAGS="$(LDFLAGS)" SHLIBGLOBALSFLAGS='$(filter-out -pie,$(LDFLAGS))'
 
 override_dh_makeshlibs:
 	dh_makeshlibs -n
