## nx-libs 3.5.99.24

=== debian/changelog ===
nx-libs (2:3.5.99.24-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS against gcc-10. (Closes: #957619).
  * debian/salsa-ci.yml:
    + Add file.
  * debian/control:
    + Bump DH compat level to version 13.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/nx-x11proto-*-dev.install:
    + Some header files have been dropped in the 3.5.99.24 release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 Jun 2020 22:40:53 +0200
