## nx-libs 3.5.99.25

=== debian/changelog ===
nx-libs (2:3.5.99.25-1) unstable; urgency=medium

  * New upstream release.
  * debian/libxcompshad3.lintian-overrides:
    + Update tag name (of renamed tag): binary-or-shlib-defines-rpath =>
      custom-library-search-path.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 04 Nov 2020 13:55:29 +0100
